using System;
using System.Collections;
using System.Web;
namespace tenpay
{
	/// <summary>
	/// return_url 的摘要说明。
	/// </summary>
	public class return_url : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			//密钥
			string key = "8934e7d15453e97507ef794cf7b0519d";

			//创建PayResponseHandler实例
			PayResponseHandler resHandler = new PayResponseHandler(Context);

			resHandler.setKey(key);

			//判断签名
			if(resHandler.isTenpaySign()) 
			{
				//交易单号
				string transaction_id = resHandler.getParameter("transaction_id");
	
				//金额金额,以分为单位
				string total_fee = resHandler.getParameter("total_fee");
	
				//支付结果
				string pay_result = resHandler.getParameter("pay_result");
	
				if( "0".Equals(pay_result) ) 
				{
					//------------------------------
					//处理业务开始
					//------------------------------ 
		
					//注意交易单不要重复处理
					//注意判断返回金额
		
					//------------------------------
					//处理业务完毕
					//------------------------------
			
					//调用doShow, 打印meta值跟js代码,告诉财付通处理成功,并在用户浏览器显示$show页面.
					resHandler.doShow("http://localhost/tenpayApp/show.aspx");
				} 
				else 
				{
					//当做不成功处理
					Response.Write("支付失败");
				}
	
			} 
			else 
			{
				Response.Write("认证签名失败");
				//string debugInfo = resHandler.getDebugInfo();
				//Response.Write("<br/>debugInfo:" + debugInfo);
			}


		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
